part of 'yandex_geo_code_bloc.dart';

abstract class YandexGeoCodeEvent extends Equatable {
  const YandexGeoCodeEvent();
}

class YandexGeoCodeLatLngEvent extends YandexGeoCodeEvent {
  final num lat;
  final num long;

  YandexGeoCodeLatLngEvent({required this.lat, required this.long});
  @override
  List<Object> get props => [lat, long];
}

class YandexGeoCodeAddressEvent extends YandexGeoCodeEvent {
  final String address;

  YandexGeoCodeAddressEvent({required this.address});
  @override
  List<Object> get props => [];
}
